/* interactionlist.c */

#include "interactionlist.h"

INTERACTION *InteractionLookup(INTERACTIONLIST *interactionlist, PATCH *patch)
{
	INTERACTION *interaction;

	while ((interaction = InteractionListNext(&interactionlist))) 
		if (interaction->P == patch || interaction->Q == patch)
			return interaction;

	return (INTERACTION *)NULL;
}
